Table of Contents

_________________________________________________________________

## NAME

Drawable - create and manipulate a drawable geometry object.

## SYNOPSIS

Drawable dgName dbName

## INHERITANCE

None

## WIDGET-SPECIFIC OPTIONS

None

## DESCRIPTION

The Drawable command creates a new drawable object (given by the dgName argument) that can be used to manipulate a drawable geometry object. The new drawable object is associated with the database object given by dbName. The Drawable command returns its dgName argument. At the time this command is invoked, there must not exist a drawable object named dgName.

## METHODS

The Drawable command creates a new Tcl command whose name is dgName. This command may be used to invoke various operations on the drawable object. It has the following general form:

dgName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for drawable objects:

### BUILT-IN METHODS

  isa info

### ASSOCIATED METHODS

Methods associated with LIBRT's drawable geometry object:

  assoc blast clear draw erase erase_all ev get_autoview illum label observer overlay report rt rtcheck vdraw who zap

### WIDGET-SPECIFIC METHODS

dgName get_dgname
  Return the associated LIBRT drawable geometry object.

## NOTES

## EXAMPLE

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- WIDGET-SPECIFIC METHODS
- NOTES
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS